High Level Decoding

## Topics

| Data Service Decoder
| BCD arithmetic for Teletext page numbers
| Events
| Exporting formatted Teletext and Closed Caption pages
| Formatted text page

## Macros

#define | VBI_ANY_SUBNO 0x3F7F
#define | VBI_NO_SUBNO 0x3F7F

## Typedefs

typedef int | vbi_pgno
typedef int | vbi_subno

## Enumerations

enum | vbi_page_type { VBI_NO_PAGE = 0x00 , VBI_NORMAL_PAGE = 0x01 , VBI_SUBTITLE_PAGE = 0x70 , VBI_SUBTITLE_INDEX = 0x78 , VBI_NONSTD_SUBPAGES = 0x79 , VBI_PROGR_WARNING = 0x7A , VBI_CURRENT_PROGR = 0x7C , VBI_NOW_AND_NEXT = 0x7D , VBI_PROGR_INDEX = 0x7F , VBI_PROGR_SCHEDULE = 0x81 , VBI_UNKNOWN_PAGE = 0xFF }
| Page classification. More...

## Detailed Description

## Typedef Documentation

## vbi_pgno

typedef int vbi_pgno

Teletext or Closed Caption page number. For Teletext pages this is a packed bcd number in range 0x100 ... 0x8FF. Page numbers containing digits 0xA to 0xF are reserved for various system purposes, these pages are not intended for display.

Closed Caption page numbers between 1 ... 8 correspond to the four Caption and Text channels:

1 | Caption 1 | "Primary synchronous caption service [English]"
2 | Caption 2 | "Special non-synchronous data that is intended to augment information carried in the program"
3 | Caption 3 | "Secondary synchronous caption service, usually second language [Spanish, French]"
4 | Caption 4 | "Special non-synchronous data similar to Caption 2"
5 | Text 1 | "First text service, data usually not program related"
6 | Text 2 | "Second text service, additional data usually not program related [ITV data]"
7 | Text 3 | "Additional text channel"
8 | Text 4 | "Additional text channel"

## vbi_subno

typedef int vbi_subno

This is the subpage number only applicable to Teletext pages, a packed bcd number in range 0x00 ... 0x99. On special 'clock' pages (for example listing the current time in different time zones) it can assume values between 0x0000 ... 0x2359 expressing local time. These are not actually subpages.

## Enumeration Type Documentation

## vbi_page_type

enum vbi_page_type

Page classification.

See vbi_classify_page().